GDB (xrefs)

Classes | Functions
mi-getopt.h File Reference

Go to the source code of this file.

## Classes
struct | mi_opt

## Functions
int | mi_getopt (const char *prefix, int argc, char **argv, const struct mi_opt *opt, int *optind, char **optarg)
int | mi_getopt_allow_unknown (const char *prefix, int argc, char **argv, const struct mi_opt *opts, int *oind, char **oarg)
int | mi_valid_noargs (const char *prefix, int argc, char **argv)

## Function Documentation

## ◆ mi_getopt()

int mi_getopt | ( | const char * | prefix,
|  | int | argc,
|  | char ** | argv,
|  | const struct mi_opt * | opt,
|  | int * | optind,
|  | char ** | optarg
| ) |  |

Definition at line 83 of file mi-getopt.c.

References gdb::argv, and mi_getopt_1().

Referenced by mi_catch_load_unload(), mi_cmd_break_insert_1(), mi_cmd_break_watch(), mi_cmd_catch_assert(), mi_cmd_catch_exception(), mi_cmd_data_list_register_values(), mi_cmd_data_read_memory(), mi_cmd_data_read_memory_bytes(), mi_cmd_data_write_memory(), mi_cmd_disassemble(), mi_cmd_env_dir(), mi_cmd_env_path(), mi_cmd_exec_run(), mi_cmd_list_thread_groups(), mi_cmd_stack_list_frames(), mi_cmd_stack_list_locals(), mi_cmd_stack_list_variables(), mi_cmd_target_file_delete(), mi_cmd_target_file_get(), mi_cmd_target_file_put(), mi_cmd_trace_frame_collected(), mi_cmd_trace_save(), mi_cmd_var_evaluate_expression(), and mi_valid_noargs().

## ◆ mi_getopt_allow_unknown()

int mi_getopt_allow_unknown | ( | const char * | prefix,
|  | int | argc,
|  | char ** | argv,
|  | const struct mi_opt * | opts,
|  | int * | oind,
|  | char ** | oarg
| ) |  |

Definition at line 92 of file mi-getopt.c.

References gdb::argv, and mi_getopt_1().

Referenced by mi_cmd_stack_list_args().

## ◆ mi_valid_noargs()

int mi_valid_noargs | ( | const char * | prefix,
|  | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 99 of file mi-getopt.c.

References gdb::argv, and mi_getopt().

Referenced by mi_cmd_file_list_exec_source_file(), mi_cmd_file_list_exec_source_files(), and mi_cmd_inferior_tty_show().